com.pivotal.gemfirexd.internal.client.am

## Interface UnitOfWorkListener

All Known Subinterfaces:
  PreparedStatementCallbackInterface, ResultSetCallbackInterface, StatementCallbackInterface

All Known Implementing Classes:
  Blob, CallableStatement, CallableStatement40, Clob, Lob, NetResultSet, NetResultSet40, PreparedStatement, PreparedStatement40, ResultSet, SingleHopPreparedStatement, Statement, Statement40

    public interface UnitOfWorkListener

### Method Summary

Methods
`void` `completeLocalCommit(Iterator listenerIterator)`
`void` `completeLocalRollback(Iterator listenerIterator)`
`void` `listenToUnitOfWork()`

### Method Detail

#### listenToUnitOfWork

    void listenToUnitOfWork()

#### completeLocalCommit

    void completeLocalCommit(Iterator listenerIterator)

#### completeLocalRollback

    void completeLocalRollback(Iterator listenerIterator)